{
  pkgs,
  inputs,
  ...
}: {
  home = {
    username = "benag";
    homeDirectory = "/home/benag";
    stateVersion = "25.11";
  };

  programs.home-manager.enable = true;

  imports = [
    ./modules/niri.nix

    ./modules/bspwm.nix
    ./modules/sxhkd.nix

    ./modules/picom.nix

    ./modules/shells.nix
    ./modules/nvf.nix
    ./modules/kitty.nix
    ./modules/foot.nix
    ./modules/polybar.nix
    ./modules/waybar.nix
    ./modules/fastfetch.nix
    ./modules/cursor.nix
    ./modules/git.nix
    ./modules/create-project/create-project.nix
  ];

  home.packages = [
    inputs.zen-browser.packages."x86_64-linux".default
    pkgs.bspwm
    pkgs.sxhkd

    pkgs.swww
    pkgs.feh
    pkgs.picom

    pkgs.wofi
    pkgs.neovim
    pkgs.kitty
    pkgs.foot
    pkgs.fastfetch
    pkgs.pavucontrol
    pkgs.btop
    pkgs.playerctl
    pkgs.dunst
    pkgs.zellij

    pkgs.discord
    pkgs.heroic
    pkgs.prismlauncher
  ];
}
